#!/usr/bin/env python

from distutils.core import setup
from distutils.extension import Extension


SparseModule = Extension(name='sparse',
                         sources=['sparsemodule.c',
                                  'sparse/spAllocate.c',
                                  'sparse/spBuild.c',
                                  'sparse/spFactor.c',
                                  'sparse/spOutput.c',
                                  'sparse/spSolve.c',
                                  'sparse/spUtils.c'])

setup(name="sparsemodule",
      version="0.5",
      description="sparse matrix module for solving linear equations",
      maintainer="Neil Schemenauer",
      maintainer_email="nas@python.ca",
      url="http://python.ca/nas/python/sparsemodule/",
      ext_modules=[SparseModule],
      py_modules=["LUP", "Matrix"],
      long_description="""\
A sparse matrix module for solving linear equations using the LU method.
Uses Kenneth Kundert's ``sparse'' library.""",
      licence="""\
sparsemodule is placed in the public domain.  The ``sparse'' library is
copyrighted by Kenneth Kundert and the University of California, Berkeley
(aka the BSD licence).""",
      )
